CKSUM(1)

NAVN
cksum - compute and verify file checksums

OVERSIKT
cksum [VALG]... [FIL]...

BESKRIVELSE

Print or verify checksums. By default use the 32 bit CRC algorithm.

Hvis ingen FIL er valgt, eller hvis FIL er «-», leser programmet standard inndata.

Argumenter som er obligatoriske for lange valg, er også obligatoriske for korte valg.

-a, --algorithm=TYPE
    select the digest type to use. See DIGEST below

--base64
    emit base64-encoded digests, not hexadecimal

-c, --check
    Les kontrollsummer fra FILEne, og kontroller dem.

-l, --length=BIT
    digest length in bits; must not exceed the max size and must be a multiple of 8 for blake2b; must be 224, 256, 384, or 512 for sha2 or sha3

--raw
    emit a raw binary digest, not hexadecimal

--tag
    Lag en kontrollsum i BSD-stil (standard).

--untagged
    create a reversed style checksum, without digest type

-z, --zero
    Avslutt hver linje med NUL i stedet for ny linje og slå av skiftetegn for filnavn.

  Følgende fem valg er bare nyttige ved sjekk av kontrollsummer:

--ignore-missing
    Ikke avslutt eller gi feilkode ved manglende fil.

--quiet
    Ikke skriv ut OK for hver fil som blir kontrollert.

--status
    Ikke skriv ut noen ting (bruk statuskoder i stedet).

--strict
    Avslutt med feilkode ved feilformaterte sjekksumlinjer.

-w, --warn
    Advar mot feilformaterte kontrollsumlinjer.

--debug
    indicate which implementation used

--help
    Vis denne hjelpeteksten og avslutt.

--version
    Vis versjonsinformasjon og avslutt.

  DIGEST determines the digest algorithm and default output format:

sysv
    (tilsvarer sum -s)

bsd (tilsvarer sum -r)

crc (tilsvarer cksum)

crc32b
    (only available through cksum)

md5 (tilsvarer md5sum)

sha1
    (tilsvarer sha1sum)

sha2
    (tilsvarer sha{224,256,384,512}sum)

sha3
    (only available through cksum)

blake2b
    (tilsvarer b2sum)

sm3 (only available through cksum)

When checking, the input should be a former output of this program, or equivalent standalone program.

FORFATTER
Skrevet av Padraig Brady og Q. Frank Xia.

RAPPORTERING AV FEIL
Rapporter feil til: bug-coreutils@gnu.org
Nettside for GNU coreutils: <https://www.gnu.org/software/coreutils/>
Generell hjelp til bruk av GNU-programvare: <https://www.gnu.org/gethelp/>
Rapporter oversettelsesfeil til <https://translationproject.org/team/nb.html>

SE OGSÅ
Fullstendig dokumentasjon: <https://www.gnu.org/software/coreutils/cksum>
eller lokalt: info '(coreutils) cksum invocation'

Pakket av Debian (9.10-1)
Copyright © 2026 Free Software Foundation, Inc.
Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre.
Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.